Subject: Re: Use the native Symlinks.
From: [email-masked] (Jeff Sturm)

26 Aug 1998 11:12:26 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: "Henry J. Cobb" <[email-masked]>
Cc: [email-masked]

OK, shortcuts do store a path, plus a lot of other garbage.  I don't see
why they couldn't represent symbolic links.  Windows seems to identify
them by the ".lnk" suffix.  But what are the win32 API calls to create
and read a shortcut?

You wouldn't need to modify LN.EXE since it invokes symlink() from
cygwinb19.dll.  Perhaps symlink behavior could be controlled by an
environment variable.

Henry J. Cobb wrote:
> 
> Why add the concepts of hard and soft links to an operating system that
> already
> has soft links? (And that's all you need really, if you drop the flawed
> concept that
> the "operating environment" can hide the true line end markers.)
> 
> What symbolic links on eNp-Ty?  They're called shortcuts here.
> 
> Simply tune the DLL to parse whatever.lnk files and treat them the same
> as Posixstan
> symbolic links and change the LN.EXE program to create shortcuts.
> 
> The result is a "filesystem tree" that's browsable from both the GNU and
> eNp-Ty sides.

-- 
Jeff Sturm
[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".